package projet_agile.personnage;

public class Dragon extends Personnage {
	
	public Dragon(int fo, int ad, int intel, int tri) {
		super("Dragon", fo, ad, intel, tri);
		hp = hp + tri/5;
	}
	
	public Dragon() {
		super("Dragon", 5, 5, 5, 5);
		fo = 70;
		ad = 20;
		intel = 40;
		tri = 100;
		baseHp = baseHp + tri/5;
		hp = baseHp;
	}
	
	@Override
	public String toString() {
		return  "                                          _\\/\n" +
				"                                        .-'.'`)\n" + 
				"                                     .-' .'  \n" + 
				"               .                  .-'     `-.          __\\/\n" + 
				"                \\.    .  |,   _.-'       -:````)   _.-'.'``)\n" + 
				"                 \\`.  |\\ | \\.-_.           `._ _.-' .'`\n" + 
				"                __) )__\\ |! )/ \\_.          _.-'      `.\n" + 
				"            _.-'__`-' =`:' /.' / |      _.-'      -:`````)\n" + 
				"      __.--' ( (@> ))  = \\ ^ `'. |_. .-'           `.\n" + 
				"     : @       `^^^    == \\ ^   `. |<                `.\n" + 
				"     VvvvvvvvVvvvv)    =  ;   ^  ;_/ :           -:``````)\n" + 
				"       (^^^^^^^^^^=  ==   |      ; \\. :            `.\n" + 
				"    ((  `-----------.  == |  ^   ;_/   :             `.\n" + 
				"    /\\             /==   /       : \\.  :     _..--``````)\n" + 
				"  __\\ \\_          ; ==  /  ^     :_/   :      `.\n" + 
				"><__   _```---.._/ ====/       ^ : \\. :         `.    \n" + 
				"    / / `._  ^  ;==   /  ^        :/ .            `.\n" + 
				"    \\/ ((  `._ / === /       ^    `.'       _.--`````)\n" + 
				"    (( /\\     ;===  /      ^     .'        `.\n" + 
				"     __\\ \\_  : === | ^ /                     `. \n" + 
				"  >><__   _``--...__.-'   ^  /  ^              `.\n" + 
				"       / / `._        ^    .'              .--`````)     .--..\n" + 
				"       \\/   :=`--...____.-'  ^     .___.-'|            .' .--.`.   (\n" + 
				"      ((    | ===    \\                  `.|__.         ; ^:   `.'   )\n" + 
				"             :  ====  \\  ^      ^         `. |          ;  `;   `../__\n" + 
				"           .-'\\====    \\    .       ^      `.|___.       ;^  `;       \\\n" + 
				"        .-'    :  ===   \\.-'              ^  `.  |        ;  ^ `;      )\n" + 
				"     .-'    ^   \\==== .-'         ^            `.|___.     ;     ;    (\n" + 
				"  .-'         ^  :=.-'                 ^        `.   |      ;     ;\n" + 
				".'      ^       .-'          ^               ^    ;_/__.    ;  ^   ;\n" + 
				": ^        ^ .-'     ^                   ^   ;     ;   |    ;       ;\n" + 
				":    ^    .-'    ^          ^      ^     _.-'    ^  ;_/    ; ^      ;\n" + 
				":  ^    .'                           _.-\"    ^      ; \\.  ;      ^  ;\n" + 
				" `.   ^ :   ^         ^       ^__.--\"               ;_/  ;          ;\n" + 
				"   `.^  :                __.--\"\\         ^     ^    ; \\ ;     ^     ;\n" + 
				"     `-.:       ^___.---\"\\ ===  \\   ^               ;_/'        ^  ;\n" + 
				"        ``.^         `.   `\\===  \\         ^     ^       ^        ;\n" + 
				"           `.     ^    `.   `-. ==\\                          ^   ;\n" + 
				"            _`-._        `.    `\\= \\    ^           ^           ;\n" + 
				"    __..--''    _`-._^     `.    `-.`\\         ^          ^    ;\n" + 
				"   (-(-(-(-(--''     `-._  ^ `.     `\\`\\              ^      .'\n" + 
				"                 __..---''     `._     `-. ^      ^      ^ .'\n" + 
				"        __..---''    ___....---'`-`)      `---...____..---'\n" + 
				"       (-(-(-(-(---''             '";
	}
}
